Index: tree-vect-analyze.c
===================================================================
RCS file: /cvs/gcc/gcc/gcc/tree-vect-analyze.c,v
retrieving revision 2.31
diff -Idpatel.pbxuser -c -3 -p -r2.31 tree-vect-analyze.c
*** tree-vect-analyze.c	26 Jun 2005 21:21:33 -0000	2.31
--- tree-vect-analyze.c	6 Jul 2005 02:12:41 -0000
*************** vect_analyze_offset_expr (tree expr, 
*** 200,206 ****
    if (!BINARY_CLASS_P (expr))
      {
        /* We expect to get binary expressions (PLUS/MINUS and MULT).  */
!       if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
          {
  	  fprintf (vect_dump, "Not binary expression ");
            print_generic_expr (vect_dump, expr, TDF_SLIM);
--- 200,206 ----
    if (!BINARY_CLASS_P (expr))
      {
        /* We expect to get binary expressions (PLUS/MINUS and MULT).  */
!       if (vect_print_dump_info (REPORT_DETAILS))
          {
  	  fprintf (vect_dump, "Not binary expression ");
            print_generic_expr (vect_dump, expr, TDF_SLIM);
*************** vect_determine_vectorization_factor (loo
*** 322,328 ****
    int i;
    tree scalar_type;
  
!   if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
      fprintf (vect_dump, "=== vect_determine_vectorization_factor ===");
  
    for (i = 0; i < nbbs; i++)
--- 322,328 ----
    int i;
    tree scalar_type;
  
!   if (vect_print_dump_info (REPORT_DETAILS))
      fprintf (vect_dump, "=== vect_determine_vectorization_factor ===");
  
    for (i = 0; i < nbbs; i++)
*************** vect_determine_vectorization_factor (loo
*** 336,342 ****
            stmt_vec_info stmt_info = vinfo_for_stmt (stmt);
            tree vectype;
  
!           if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
              {
                fprintf (vect_dump, "==> examining statement: ");
                print_generic_expr (vect_dump, stmt, TDF_SLIM);
--- 336,342 ----
            stmt_vec_info stmt_info = vinfo_for_stmt (stmt);
            tree vectype;
  
!           if (vect_print_dump_info (REPORT_DETAILS))
              {
                fprintf (vect_dump, "==> examining statement: ");
                print_generic_expr (vect_dump, stmt, TDF_SLIM);
*************** vect_determine_vectorization_factor (loo
*** 347,361 ****
            if (!STMT_VINFO_RELEVANT_P (stmt_info)
  	      && !STMT_VINFO_LIVE_P (stmt_info))
              {
!               if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
                  fprintf (vect_dump, "skip.");
                continue;
              }
  
            if (VECTOR_MODE_P (TYPE_MODE (TREE_TYPE (stmt))))
              {
!               if (vect_print_dump_info (REPORT_UNVECTORIZED_LOOPS,
!                                         LOOP_LOC (loop_vinfo)))
                  {
                    fprintf (vect_dump, "not vectorized: vector stmt in loop:");
                    print_generic_expr (vect_dump, stmt, TDF_SLIM);
--- 347,360 ----
            if (!STMT_VINFO_RELEVANT_P (stmt_info)
  	      && !STMT_VINFO_LIVE_P (stmt_info))
              {
!               if (vect_print_dump_info (REPORT_DETAILS))
                  fprintf (vect_dump, "skip.");
                continue;
              }
  
            if (VECTOR_MODE_P (TYPE_MODE (TREE_TYPE (stmt))))
              {
!               if (vect_print_dump_info (REPORT_UNVECTORIZED_LOOPS))
                  {
                    fprintf (vect_dump, "not vectorized: vector stmt in loop:");
                    print_generic_expr (vect_dump, stmt, TDF_SLIM);
*************** vect_determine_vectorization_factor (loo
*** 370,376 ****
            else
              scalar_type = TREE_TYPE (stmt);
  
!           if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
              {
                fprintf (vect_dump, "get vectype for scalar type:  ");
                print_generic_expr (vect_dump, scalar_type, TDF_SLIM);
--- 369,375 ----
            else
              scalar_type = TREE_TYPE (stmt);
  
!           if (vect_print_dump_info (REPORT_DETAILS))
              {
                fprintf (vect_dump, "get vectype for scalar type:  ");
                print_generic_expr (vect_dump, scalar_type, TDF_SLIM);
*************** vect_determine_vectorization_factor (loo
*** 379,393 ****
            vectype = get_vectype_for_scalar_type (scalar_type);
            if (!vectype)
              {
!               if (vect_print_dump_info (REPORT_UNVECTORIZED_LOOPS,
!                                         LOOP_LOC (loop_vinfo)))
                  {
                    fprintf (vect_dump, "not vectorized: unsupported data-type ");
                    print_generic_expr (vect_dump, scalar_type, TDF_SLIM);
                  }
                return false;
              }
!           if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
              {
                fprintf (vect_dump, "vectype: ");
                print_generic_expr (vect_dump, vectype, TDF_SLIM);
--- 378,391 ----
            vectype = get_vectype_for_scalar_type (scalar_type);
            if (!vectype)
              {
!               if (vect_print_dump_info (REPORT_UNVECTORIZED_LOOPS))
                  {
                    fprintf (vect_dump, "not vectorized: unsupported data-type ");
                    print_generic_expr (vect_dump, scalar_type, TDF_SLIM);
                  }
                return false;
              }
!           if (vect_print_dump_info (REPORT_DETAILS))
              {
                fprintf (vect_dump, "vectype: ");
                print_generic_expr (vect_dump, vectype, TDF_SLIM);
*************** vect_determine_vectorization_factor (loo
*** 395,401 ****
            STMT_VINFO_VECTYPE (stmt_info) = vectype;
  
            nunits = TYPE_VECTOR_SUBPARTS (vectype);
!           if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
              fprintf (vect_dump, "nunits = %d", nunits);
  
            if (vectorization_factor)
--- 393,399 ----
            STMT_VINFO_VECTYPE (stmt_info) = vectype;
  
            nunits = TYPE_VECTOR_SUBPARTS (vectype);
!           if (vect_print_dump_info (REPORT_DETAILS))
              fprintf (vect_dump, "nunits = %d", nunits);
  
            if (vectorization_factor)
*************** vect_determine_vectorization_factor (loo
*** 404,411 ****
                   This restriction will be relaxed in the future.  */
                if (nunits != vectorization_factor) 
                  {
!                   if (vect_print_dump_info (REPORT_UNVECTORIZED_LOOPS,
!                                             LOOP_LOC (loop_vinfo)))
                      fprintf (vect_dump, "not vectorized: mixed data-types");
                    return false;
                  }
--- 402,408 ----
                   This restriction will be relaxed in the future.  */
                if (nunits != vectorization_factor) 
                  {
!                   if (vect_print_dump_info (REPORT_UNVECTORIZED_LOOPS))
                      fprintf (vect_dump, "not vectorized: mixed data-types");
                    return false;
                  }
*************** vect_determine_vectorization_factor (loo
*** 422,429 ****
  
    if (vectorization_factor <= 1)
      {
!       if (vect_print_dump_info (REPORT_UNVECTORIZED_LOOPS,
!                                 LOOP_LOC (loop_vinfo)))
          fprintf (vect_dump, "not vectorized: unsupported data-type");
        return false;
      }
--- 419,425 ----
  
    if (vectorization_factor <= 1)
      {
!       if (vect_print_dump_info (REPORT_UNVECTORIZED_LOOPS))
          fprintf (vect_dump, "not vectorized: unsupported data-type");
        return false;
      }
*************** vect_analyze_operations (loop_vec_info l
*** 451,457 ****
    stmt_vec_info stmt_info;
    bool need_to_vectorize = false;
  
!   if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
      fprintf (vect_dump, "=== vect_analyze_operations ===");
  
    gcc_assert (LOOP_VINFO_VECT_FACTOR (loop_vinfo));
--- 447,453 ----
    stmt_vec_info stmt_info;
    bool need_to_vectorize = false;
  
!   if (vect_print_dump_info (REPORT_DETAILS))
      fprintf (vect_dump, "=== vect_analyze_operations ===");
  
    gcc_assert (LOOP_VINFO_VECT_FACTOR (loop_vinfo));
*************** vect_analyze_operations (loop_vec_info l
*** 464,470 ****
        for (phi = phi_nodes (bb); phi; phi = PHI_CHAIN (phi))
          {
  	  stmt_info = vinfo_for_stmt (phi);
! 	  if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
  	    {
  	      fprintf (vect_dump, "examining phi: ");
  	      print_generic_expr (vect_dump, phi, TDF_SLIM);
--- 460,466 ----
        for (phi = phi_nodes (bb); phi; phi = PHI_CHAIN (phi))
          {
  	  stmt_info = vinfo_for_stmt (phi);
! 	  if (vect_print_dump_info (REPORT_DETAILS))
  	    {
  	      fprintf (vect_dump, "examining phi: ");
  	      print_generic_expr (vect_dump, phi, TDF_SLIM);
*************** vect_analyze_operations (loop_vec_info l
*** 475,482 ****
  	  if (STMT_VINFO_LIVE_P (stmt_info))
  	    {
  	      /* FORNOW: not yet supported.  */
! 	      if (vect_print_dump_info (REPORT_UNVECTORIZED_LOOPS,
! 					LOOP_LOC (loop_vinfo)))
  		fprintf (vect_dump, "not vectorized: value used after loop.");
  	    return false;
  	  }
--- 471,477 ----
  	  if (STMT_VINFO_LIVE_P (stmt_info))
  	    {
  	      /* FORNOW: not yet supported.  */
! 	      if (vect_print_dump_info (REPORT_UNVECTORIZED_LOOPS))
  		fprintf (vect_dump, "not vectorized: value used after loop.");
  	    return false;
  	  }
*************** vect_analyze_operations (loop_vec_info l
*** 485,492 ****
  	    {
  	      /* Most likely a reduction-like computation that is used
  	         in the loop.  */
! 	      if (vect_print_dump_info (REPORT_UNVECTORIZED_LOOPS,
! 	                                LOOP_LOC (loop_vinfo)))
  	        fprintf (vect_dump, "not vectorized: unsupported pattern.");
   	     return false;
  	    }
--- 480,486 ----
  	    {
  	      /* Most likely a reduction-like computation that is used
  	         in the loop.  */
! 	      if (vect_print_dump_info (REPORT_UNVECTORIZED_LOOPS))
  	        fprintf (vect_dump, "not vectorized: unsupported pattern.");
   	     return false;
  	    }
*************** vect_analyze_operations (loop_vec_info l
*** 497,503 ****
  	  tree stmt = bsi_stmt (si);
  	  stmt_vec_info stmt_info = vinfo_for_stmt (stmt);
  
! 	  if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
  	    {
  	      fprintf (vect_dump, "==> examining statement: ");
  	      print_generic_expr (vect_dump, stmt, TDF_SLIM);
--- 491,497 ----
  	  tree stmt = bsi_stmt (si);
  	  stmt_vec_info stmt_info = vinfo_for_stmt (stmt);
  
! 	  if (vect_print_dump_info (REPORT_DETAILS))
  	    {
  	      fprintf (vect_dump, "==> examining statement: ");
  	      print_generic_expr (vect_dump, stmt, TDF_SLIM);
*************** vect_analyze_operations (loop_vec_info l
*** 515,521 ****
  	  if (!STMT_VINFO_RELEVANT_P (stmt_info)
  	      && !STMT_VINFO_LIVE_P (stmt_info))
  	    {
! 	      if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
  	        fprintf (vect_dump, "irrelevant.");
  	      continue;
  	    }
--- 509,515 ----
  	  if (!STMT_VINFO_RELEVANT_P (stmt_info)
  	      && !STMT_VINFO_LIVE_P (stmt_info))
  	    {
! 	      if (vect_print_dump_info (REPORT_DETAILS))
  	        fprintf (vect_dump, "irrelevant.");
  	      continue;
  	    }
*************** vect_analyze_operations (loop_vec_info l
*** 533,540 ****
  
  	      if (!ok)
  		{
! 		  if (vect_print_dump_info (REPORT_UNVECTORIZED_LOOPS,
! 					    LOOP_LOC (loop_vinfo)))
  		    {
  		      fprintf (vect_dump, 
  			       "not vectorized: relevant stmt not supported: ");
--- 527,533 ----
  
  	      if (!ok)
  		{
! 		  if (vect_print_dump_info (REPORT_UNVECTORIZED_LOOPS))
  		    {
  		      fprintf (vect_dump, 
  			       "not vectorized: relevant stmt not supported: ");
*************** vect_analyze_operations (loop_vec_info l
*** 556,563 ****
  
  	      if (!ok)
  		{
! 		  if (vect_print_dump_info (REPORT_UNVECTORIZED_LOOPS,
! 					    LOOP_LOC (loop_vinfo)))
  		    {
  		      fprintf (vect_dump, 
  			       "not vectorized: live stmt not supported: ");
--- 549,555 ----
  
  	      if (!ok)
  		{
! 		  if (vect_print_dump_info (REPORT_UNVECTORIZED_LOOPS))
  		    {
  		      fprintf (vect_dump, 
  			       "not vectorized: live stmt not supported: ");
*************** vect_analyze_operations (loop_vec_info l
*** 578,595 ****
       touching this loop.  */
    if (!need_to_vectorize)
      {
!       if (vect_print_dump_info (REPORT_DETAILS, LOOP_LOC (loop_vinfo)))
  	fprintf (vect_dump, 
  		 "All the computation can be taken out of the loop.");
!       if (vect_print_dump_info (REPORT_UNVECTORIZED_LOOPS,
!                                 LOOP_LOC (loop_vinfo)))
          fprintf (vect_dump, 
  		 "not vectorized: redundant loop. no profit to vectorize.");
        return false;
      }
  
    if (LOOP_VINFO_NITERS_KNOWN_P (loop_vinfo)
!       && vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
      fprintf (vect_dump,
          "vectorization_factor = %d, niters = " HOST_WIDE_INT_PRINT_DEC,
          vectorization_factor, LOOP_VINFO_INT_NITERS (loop_vinfo));
--- 570,586 ----
       touching this loop.  */
    if (!need_to_vectorize)
      {
!       if (vect_print_dump_info (REPORT_DETAILS))
  	fprintf (vect_dump, 
  		 "All the computation can be taken out of the loop.");
!       if (vect_print_dump_info (REPORT_UNVECTORIZED_LOOPS))
          fprintf (vect_dump, 
  		 "not vectorized: redundant loop. no profit to vectorize.");
        return false;
      }
  
    if (LOOP_VINFO_NITERS_KNOWN_P (loop_vinfo)
!       && vect_print_dump_info (REPORT_DETAILS))
      fprintf (vect_dump,
          "vectorization_factor = %d, niters = " HOST_WIDE_INT_PRINT_DEC,
          vectorization_factor, LOOP_VINFO_INT_NITERS (loop_vinfo));
*************** vect_analyze_operations (loop_vec_info l
*** 597,604 ****
    if (LOOP_VINFO_NITERS_KNOWN_P (loop_vinfo)
        && LOOP_VINFO_INT_NITERS (loop_vinfo) < vectorization_factor)
      {
!       if (vect_print_dump_info (REPORT_UNVECTORIZED_LOOPS,
!                                  LOOP_LOC (loop_vinfo)))
  	fprintf (vect_dump, "not vectorized: iteration count too small.");
        return false;
      }
--- 588,594 ----
    if (LOOP_VINFO_NITERS_KNOWN_P (loop_vinfo)
        && LOOP_VINFO_INT_NITERS (loop_vinfo) < vectorization_factor)
      {
!       if (vect_print_dump_info (REPORT_UNVECTORIZED_LOOPS))
  	fprintf (vect_dump, "not vectorized: iteration count too small.");
        return false;
      }
*************** vect_analyze_operations (loop_vec_info l
*** 606,625 ****
    if (!LOOP_VINFO_NITERS_KNOWN_P (loop_vinfo)
        || LOOP_VINFO_INT_NITERS (loop_vinfo) % vectorization_factor != 0)
      {
!       if (vect_print_dump_info (REPORT_DETAILS, LOOP_LOC (loop_vinfo)))
          fprintf (vect_dump, "epilog loop required.");
        if (!vect_can_advance_ivs_p (loop_vinfo))
          {
!           if (vect_print_dump_info (REPORT_UNVECTORIZED_LOOPS,
!                                      LOOP_LOC (loop_vinfo)))
              fprintf (vect_dump,
                       "not vectorized: can't create epilog loop 1.");
            return false;
          }
        if (!slpeel_can_duplicate_loop_p (loop, loop->single_exit))
          {
!           if (vect_print_dump_info (REPORT_UNVECTORIZED_LOOPS,
!                                      LOOP_LOC (loop_vinfo)))
              fprintf (vect_dump,
                       "not vectorized: can't create epilog loop 2.");
            return false;
--- 596,613 ----
    if (!LOOP_VINFO_NITERS_KNOWN_P (loop_vinfo)
        || LOOP_VINFO_INT_NITERS (loop_vinfo) % vectorization_factor != 0)
      {
!       if (vect_print_dump_info (REPORT_DETAILS))
          fprintf (vect_dump, "epilog loop required.");
        if (!vect_can_advance_ivs_p (loop_vinfo))
          {
!           if (vect_print_dump_info (REPORT_UNVECTORIZED_LOOPS))
              fprintf (vect_dump,
                       "not vectorized: can't create epilog loop 1.");
            return false;
          }
        if (!slpeel_can_duplicate_loop_p (loop, loop->single_exit))
          {
!           if (vect_print_dump_info (REPORT_UNVECTORIZED_LOOPS))
              fprintf (vect_dump,
                       "not vectorized: can't create epilog loop 2.");
            return false;
*************** vect_analyze_scalar_cycles (loop_vec_inf
*** 722,728 ****
    basic_block bb = loop->header;
    tree dummy;
  
!   if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
      fprintf (vect_dump, "=== vect_analyze_scalar_cycles ===");
  
    for (phi = phi_nodes (bb); phi; phi = PHI_CHAIN (phi))
--- 710,716 ----
    basic_block bb = loop->header;
    tree dummy;
  
!   if (vect_print_dump_info (REPORT_DETAILS))
      fprintf (vect_dump, "=== vect_analyze_scalar_cycles ===");
  
    for (phi = phi_nodes (bb); phi; phi = PHI_CHAIN (phi))
*************** vect_analyze_scalar_cycles (loop_vec_inf
*** 732,738 ****
        stmt_vec_info stmt_vinfo = vinfo_for_stmt (phi);
        tree reduc_stmt;
  
!       if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
  	{
            fprintf (vect_dump, "Analyze phi: ");
            print_generic_expr (vect_dump, phi, TDF_SLIM);
--- 720,726 ----
        stmt_vec_info stmt_vinfo = vinfo_for_stmt (phi);
        tree reduc_stmt;
  
!       if (vect_print_dump_info (REPORT_DETAILS))
  	{
            fprintf (vect_dump, "Analyze phi: ");
            print_generic_expr (vect_dump, phi, TDF_SLIM);
*************** vect_analyze_scalar_cycles (loop_vec_inf
*** 743,749 ****
  
        if (!is_gimple_reg (SSA_NAME_VAR (def)))
  	{
! 	  if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
  	    fprintf (vect_dump, "virtual phi. skip.");
  	  continue;
  	}
--- 731,737 ----
  
        if (!is_gimple_reg (SSA_NAME_VAR (def)))
  	{
! 	  if (vect_print_dump_info (REPORT_DETAILS))
  	    fprintf (vect_dump, "virtual phi. skip.");
  	  continue;
  	}
*************** vect_analyze_scalar_cycles (loop_vec_inf
*** 757,764 ****
        if (!access_fn)
  	continue;
  
!       if (vect_print_dump_info (REPORT_DETAILS,
! 				LOOP_LOC (loop_vinfo)))
          {
             fprintf (vect_dump, "Access function of PHI: ");
             print_generic_expr (vect_dump, access_fn, TDF_SLIM);
--- 745,751 ----
        if (!access_fn)
  	continue;
  
!       if (vect_print_dump_info (REPORT_DETAILS))
          {
             fprintf (vect_dump, "Access function of PHI: ");
             print_generic_expr (vect_dump, access_fn, TDF_SLIM);
*************** vect_analyze_scalar_cycles (loop_vec_inf
*** 766,772 ****
  
        if (vect_is_simple_iv_evolution (loop->num, access_fn, &dummy, &dummy))
  	{
! 	  if (vect_print_dump_info (REPORT_DETAILS,LOOP_LOC (loop_vinfo)))
  	    fprintf (vect_dump, "Detected induction.");
  	  STMT_VINFO_DEF_TYPE (stmt_vinfo) = vect_induction_def;
            continue;
--- 753,759 ----
  
        if (vect_is_simple_iv_evolution (loop->num, access_fn, &dummy, &dummy))
  	{
! 	  if (vect_print_dump_info (REPORT_DETAILS))
  	    fprintf (vect_dump, "Detected induction.");
  	  STMT_VINFO_DEF_TYPE (stmt_vinfo) = vect_induction_def;
            continue;
*************** vect_analyze_scalar_cycles (loop_vec_inf
*** 777,790 ****
        reduc_stmt = vect_is_simple_reduction (loop, phi);
        if (reduc_stmt)
          {
!           if (vect_print_dump_info (REPORT_DETAILS, LOOP_LOC (loop_vinfo)))
              fprintf (vect_dump, "Detected reduction.");
            STMT_VINFO_DEF_TYPE (stmt_vinfo) = vect_reduction_def;
            STMT_VINFO_DEF_TYPE (vinfo_for_stmt (reduc_stmt)) =
                                                          vect_reduction_def;
          }
        else
!         if (vect_print_dump_info (REPORT_DETAILS, LOOP_LOC (loop_vinfo)))
            fprintf (vect_dump, "Unknown def-use cycle pattern.");
  
      }
--- 764,777 ----
        reduc_stmt = vect_is_simple_reduction (loop, phi);
        if (reduc_stmt)
          {
!           if (vect_print_dump_info (REPORT_DETAILS))
              fprintf (vect_dump, "Detected reduction.");
            STMT_VINFO_DEF_TYPE (stmt_vinfo) = vect_reduction_def;
            STMT_VINFO_DEF_TYPE (vinfo_for_stmt (reduc_stmt)) =
                                                          vect_reduction_def;
          }
        else
!         if (vect_print_dump_info (REPORT_DETAILS))
            fprintf (vect_dump, "Unknown def-use cycle pattern.");
  
      }
*************** vect_analyze_data_ref_dependence (struct
*** 869,876 ****
    
    if (!vect_base_addr_differ_p (dra, drb, &differ_p))
      {
!       if (vect_print_dump_info (REPORT_UNVECTORIZED_LOOPS,
! 				LOOP_LOC (loop_vinfo)))
          {
            fprintf (vect_dump,
                  "not vectorized: can't determine dependence between: ");
--- 856,862 ----
    
    if (!vect_base_addr_differ_p (dra, drb, &differ_p))
      {
!       if (vect_print_dump_info (REPORT_UNVECTORIZED_LOOPS))
          {
            fprintf (vect_dump,
                  "not vectorized: can't determine dependence between: ");
*************** vect_analyze_data_ref_dependence (struct
*** 892,899 ****
  
    if (DDR_ARE_DEPENDENT (ddr) == chrec_dont_know)
      {
!       if (vect_print_dump_info (REPORT_UNVECTORIZED_LOOPS,
!                                 LOOP_LOC (loop_vinfo)))
          {
            fprintf (vect_dump, 
                     "not vectorized: can't determine dependence between "); 
--- 878,884 ----
  
    if (DDR_ARE_DEPENDENT (ddr) == chrec_dont_know)
      {
!       if (vect_print_dump_info (REPORT_UNVECTORIZED_LOOPS))
          {
            fprintf (vect_dump, 
                     "not vectorized: can't determine dependence between "); 
*************** vect_analyze_data_ref_dependence (struct
*** 922,929 ****
  
    if (!DDR_DIST_VECT (ddr))
      {
!       if (vect_print_dump_info (REPORT_UNVECTORIZED_LOOPS,
! 				LOOP_LOC (loop_vinfo)))
  	{
  	  fprintf (vect_dump, "not vectorized: bad dist vector for ");
  	  print_generic_expr (vect_dump, DR_REF (dra), TDF_SLIM);
--- 907,913 ----
  
    if (!DDR_DIST_VECT (ddr))
      {
!       if (vect_print_dump_info (REPORT_UNVECTORIZED_LOOPS))
  	{
  	  fprintf (vect_dump, "not vectorized: bad dist vector for ");
  	  print_generic_expr (vect_dump, DR_REF (dra), TDF_SLIM);
*************** vect_analyze_data_ref_dependence (struct
*** 941,947 ****
        /* Two references with distance zero have the same alignment.  */
        VEC_safe_push (dr_p, heap, STMT_VINFO_SAME_ALIGN_REFS (stmtinfo_a), drb);
        VEC_safe_push (dr_p, heap, STMT_VINFO_SAME_ALIGN_REFS (stmtinfo_b), dra);
!       if (vect_print_dump_info (REPORT_ALIGNMENT, LOOP_LOC (loop_vinfo)))
  	fprintf (vect_dump, "accesses have the same alignment.");
        return false;
      }
--- 925,931 ----
        /* Two references with distance zero have the same alignment.  */
        VEC_safe_push (dr_p, heap, STMT_VINFO_SAME_ALIGN_REFS (stmtinfo_a), drb);
        VEC_safe_push (dr_p, heap, STMT_VINFO_SAME_ALIGN_REFS (stmtinfo_b), dra);
!       if (vect_print_dump_info (REPORT_ALIGNMENT))
  	fprintf (vect_dump, "accesses have the same alignment.");
        return false;
      }
*************** vect_analyze_data_ref_dependence (struct
*** 951,958 ****
         is concerned, in this case.  */
      return false;
      
!   if (vect_print_dump_info (REPORT_UNVECTORIZED_LOOPS,
! 			    LOOP_LOC (loop_vinfo)))
      {
        fprintf (vect_dump,
  	"not vectorized: possible dependence between data-refs ");
--- 935,941 ----
         is concerned, in this case.  */
      return false;
      
!   if (vect_print_dump_info (REPORT_UNVECTORIZED_LOOPS))
      {
        fprintf (vect_dump,
  	"not vectorized: possible dependence between data-refs ");
*************** vect_analyze_data_ref_dependences (loop_
*** 979,988 ****
  
    /* Examine store-store (output) dependences.  */
  
!   if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
      fprintf (vect_dump, "=== vect_analyze_dependences ===");
  
!   if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
      fprintf (vect_dump, "compare all store-store pairs.");
  
    for (i = 0; i < VARRAY_ACTIVE_SIZE (loop_write_refs); i++)
--- 962,971 ----
  
    /* Examine store-store (output) dependences.  */
  
!   if (vect_print_dump_info (REPORT_DETAILS))
      fprintf (vect_dump, "=== vect_analyze_dependences ===");
  
!   if (vect_print_dump_info (REPORT_DETAILS))
      fprintf (vect_dump, "compare all store-store pairs.");
  
    for (i = 0; i < VARRAY_ACTIVE_SIZE (loop_write_refs); i++)
*************** vect_analyze_data_ref_dependences (loop_
*** 1000,1006 ****
  
    /* Examine load-store (true/anti) dependences.  */
  
!   if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
      fprintf (vect_dump, "compare all load-store pairs.");
  
    for (i = 0; i < VARRAY_ACTIVE_SIZE (loop_read_refs); i++)
--- 983,989 ----
  
    /* Examine load-store (true/anti) dependences.  */
  
!   if (vect_print_dump_info (REPORT_DETAILS))
      fprintf (vect_dump, "compare all load-store pairs.");
  
    for (i = 0; i < VARRAY_ACTIVE_SIZE (loop_read_refs); i++)
*************** vect_compute_data_ref_alignment (struct 
*** 1042,1048 ****
    bool base_aligned_p;
    tree misalign;
     
!   if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
      fprintf (vect_dump, "vect_compute_data_ref_alignment:");
  
    /* Initialize misalignment to unknown.  */
--- 1025,1031 ----
    bool base_aligned_p;
    tree misalign;
     
!   if (vect_print_dump_info (REPORT_DETAILS))
      fprintf (vect_dump, "vect_compute_data_ref_alignment:");
  
    /* Initialize misalignment to unknown.  */
*************** vect_compute_data_ref_alignment (struct 
*** 1055,1061 ****
  
    if (!misalign)
      {
!       if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC)) 
  	{
  	  fprintf (vect_dump, "Unknown alignment for access: ");
  	  print_generic_expr (vect_dump, base, TDF_SLIM);
--- 1038,1044 ----
  
    if (!misalign)
      {
!       if (vect_print_dump_info (REPORT_DETAILS))
  	{
  	  fprintf (vect_dump, "Unknown alignment for access: ");
  	  print_generic_expr (vect_dump, base, TDF_SLIM);
*************** vect_compute_data_ref_alignment (struct 
*** 1067,1073 ****
      {
        if (!vect_can_force_dr_alignment_p (base, TYPE_ALIGN (vectype)))
  	{
! 	  if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
  	    {
  	      fprintf (vect_dump, "can't force alignment of ref: ");
  	      print_generic_expr (vect_dump, ref, TDF_SLIM);
--- 1050,1056 ----
      {
        if (!vect_can_force_dr_alignment_p (base, TYPE_ALIGN (vectype)))
  	{
! 	  if (vect_print_dump_info (REPORT_DETAILS))
  	    {
  	      fprintf (vect_dump, "can't force alignment of ref: ");
  	      print_generic_expr (vect_dump, ref, TDF_SLIM);
*************** vect_compute_data_ref_alignment (struct 
*** 1078,1084 ****
        /* Force the alignment of the decl.
  	 NOTE: This is the only change to the code we make during
  	 the analysis phase, before deciding to vectorize the loop.  */
!       if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
  	fprintf (vect_dump, "force alignment");
        DECL_ALIGN (base) = TYPE_ALIGN (vectype);
        DECL_USER_ALIGN (base) = 1;
--- 1061,1067 ----
        /* Force the alignment of the decl.
  	 NOTE: This is the only change to the code we make during
  	 the analysis phase, before deciding to vectorize the loop.  */
!       if (vect_print_dump_info (REPORT_DETAILS))
  	fprintf (vect_dump, "force alignment");
        DECL_ALIGN (base) = TYPE_ALIGN (vectype);
        DECL_USER_ALIGN (base) = 1;
*************** vect_compute_data_ref_alignment (struct 
*** 1097,1110 ****
    if (tree_int_cst_sgn (misalign) < 0)
      {
        /* Negative misalignment value.  */
!       if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
  	fprintf (vect_dump, "unexpected misalign value");
        return false;
      }
  
    DR_MISALIGNMENT (dr) = tree_low_cst (misalign, 1);
  
!   if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
      fprintf (vect_dump, "misalign = %d bytes", DR_MISALIGNMENT (dr));
  
    return true;
--- 1080,1093 ----
    if (tree_int_cst_sgn (misalign) < 0)
      {
        /* Negative misalignment value.  */
!       if (vect_print_dump_info (REPORT_DETAILS))
  	fprintf (vect_dump, "unexpected misalign value");
        return false;
      }
  
    DR_MISALIGNMENT (dr) = tree_low_cst (misalign, 1);
  
!   if (vect_print_dump_info (REPORT_DETAILS))
      fprintf (vect_dump, "misalign = %d bytes", DR_MISALIGNMENT (dr));
  
    return true;
*************** vect_analyze_data_refs_alignment (loop_v
*** 1356,1362 ****
    enum dr_alignment_support supportable_dr_alignment;
    unsigned int i;
  
!   if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
      fprintf (vect_dump, "=== vect_analyze_data_refs_alignment ===");
  
  
--- 1339,1345 ----
    enum dr_alignment_support supportable_dr_alignment;
    unsigned int i;
  
!   if (vect_print_dump_info (REPORT_DETAILS))
      fprintf (vect_dump, "=== vect_analyze_data_refs_alignment ===");
  
  
*************** vect_analyze_data_refs_alignment (loop_v
*** 1365,1372 ****
  
    if (!vect_compute_data_refs_alignment (loop_vinfo))
      {
!       if (vect_print_dump_info (REPORT_UNVECTORIZED_LOOPS,
! 				LOOP_LOC (loop_vinfo)))
  	fprintf (vect_dump, 
  		 "not vectorized: can't calculate alignment for data ref.");
        return false;
--- 1348,1354 ----
  
    if (!vect_compute_data_refs_alignment (loop_vinfo))
      {
!       if (vect_print_dump_info (REPORT_UNVECTORIZED_LOOPS))
  	fprintf (vect_dump, 
  		 "not vectorized: can't calculate alignment for data ref.");
        return false;
*************** vect_analyze_data_refs_alignment (loop_v
*** 1388,1400 ****
        supportable_dr_alignment = vect_supportable_dr_alignment (dr);
        if (!supportable_dr_alignment)
  	{
! 	  if (vect_print_dump_info (REPORT_UNVECTORIZED_LOOPS,
! 				    LOOP_LOC (loop_vinfo)))
  	    fprintf (vect_dump, "not vectorized: unsupported unaligned load.");
  	  return false;
  	}
        if (supportable_dr_alignment != dr_aligned 
! 	  && (vect_print_dump_info (REPORT_ALIGNMENT, LOOP_LOC (loop_vinfo))))
  	fprintf (vect_dump, "Vectorizing an unaligned access.");
      }
    for (i = 0; i < VARRAY_ACTIVE_SIZE (loop_write_datarefs); i++)
--- 1370,1381 ----
        supportable_dr_alignment = vect_supportable_dr_alignment (dr);
        if (!supportable_dr_alignment)
  	{
! 	  if (vect_print_dump_info (REPORT_UNVECTORIZED_LOOPS))
  	    fprintf (vect_dump, "not vectorized: unsupported unaligned load.");
  	  return false;
  	}
        if (supportable_dr_alignment != dr_aligned 
! 	  && (vect_print_dump_info (REPORT_ALIGNMENT)))
  	fprintf (vect_dump, "Vectorizing an unaligned access.");
      }
    for (i = 0; i < VARRAY_ACTIVE_SIZE (loop_write_datarefs); i++)
